{% extends 'common/administration.html' %}
{% load i18n crispy_forms_tags %}

{# No header shown #}
{% block page-header %}{% endblock %}

{% block card-actions %}
  {% url "adm:employee:add" as link_url %}
  <button
      class="btn btn-action"
      type="button"
      hx-get="{{ link_url }}"
      hx-target="#page-body"
      hx-select="#page-body"
      hx-swap="outerHTML"
      hx-push-url="{{ link_url }}"><i class="bi bi-plus-lg"></i></button>
{% endblock %}

{% block card-body %}
  <div class="row">
    <div class="col-2 border-end overflow-auto pe-0">
      <div class="list-group list-group-flush ">
        {% for employee in employee_list %}
          {% url "adm:employee:update" employee.pk as link_url %}
          <div
              class="list-group-item cursor-pointer{% if request.path == link_url %} active{% endif %}{% if not employee.is_active %} text-decoration-line-through bg-gray-900{% endif %}"
              title="{{ employee }}"
          >
            <div
                class="row align-items-center"
                hx-get="{% url 'adm:employee:update' pk=employee.id %}"
                hx-target="#page-body"
                hx-select="#page-body"
                hx-swap="outerHTML"
                hx-push-url="{% url 'adm:employee:update' pk=employee.id %}"
            >
              {#              <div class="col-auto">#}
              {#                <input type="checkbox" name="check-employee-{{ employee.id }} }}class="form-check-input">#}
              {#              </div>#}
              <div class="col-auto">
                {#                <a#}
                {#                    hx-get="{% url 'adm:employee:update' pk=employee.id %}"#}
                {#                    hx-target="#employee-content"#}
                {#                >#}
                <span
                    class="avatar bg-{{ employee.color }}"
                    {% if employee.avatar %}style="background-image: url({{ employee.avatar.url }})"{% endif %}
                ></span>
                {#                </a>#}
              </div>
              <div class="col text-truncate">
                {#                <a#}
                {#                    href="#"#}
                {#                    class="text-reset d-block"#}
                {#                >#}
                <div

                    {% if not employee.is_active %}class="text-muted"{% endif %}
                >
                  {{ employee.last_name|upper }}<br/>{{ employee.first_name }}
                </div>
                {#                </a>#}
                {#                <div class="d-block text-muted text-truncate mt-n1">...</div>#}
              </div>
            </div>

          </div>
        {% endfor %}
      </div>
    </div>
    <div id="employee-detail" class="col-10 p-2">
      <nav>
        <div class="nav nav-tabs" id="nav-tab" role="tablist">
          {% for component in components.IEmployeeFormTab %}
            <button
                class="nav-link{% if component.name == active_component or not active_component and forloop.first %} active{% endif %}"
                id="nav-{{ component.name }}-tab"
                data-bs-toggle="tab"
                data-bs-target="#nav-{{ component.name }}"
                type="button"
                role="tab"
                {% if component.enabled %}
                hx-get="{% url component.get_url_name employee.id %}"
                hx-trigger="{% if component.name == active_component or not active_component and forloop.first %}load, {% endif %}click once"
                hx-target="#nav-{{ component.name }}"
                hx-push-url="?tab={{ component.name }}"
                {% else %}
                disabled
                {% endif %}
                aria-controls="nav-{{ component.name }}"
                aria-selected="{% if forloop.first %}true{% else %}false{% endif %}"
            >
              <i class="bi bi-{{ component.icon }} me-2"></i>
              {{ component.title }}
            </button>
          {% endfor %}
        </div>
      </nav>

      <div class="tab-content" id="nav-tabContent">
        {% for component in components.IEmployeeFormTab %}
          <div class="tab-pane fade{% if forloop.first %} active show{% endif %}"
               id="nav-{{ component.get_name }}"
               role="tabpanel"
               aria-labelledby="nav-{{ component.get_name }}-tab"
               tabindex="0"
              {% if component.enabled %}
               hx-get="{% url component.get_url_name employee.id %}"
               {% if component.name == active_component or not active_component and forloop.first %}hx-trigger="load"{% endif %}
               hx-push-url="?tab={{ component.name }}"
              {% else %}
               disabled
              {% endif %}

          ></div>
        {% endfor %}
      </div>

    </div>
  </div>
{% endblock %}

{% block oob %}
  {# update any divs that show tenant data... #}
{% endblock %}